package org.colinvella.fancyfish.entity.fish;

import org.colinvella.fancyfish.item.CapturedFishItem;
import org.colinvella.fancyfish.item.FishScaleItem;
import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.entity.EntityAgeable;
import net.minecraft.world.World;

public class MoorishIdolEntity extends FishEntity
{
	public static final String ID = "MoorishIdol";
	
	public static final int PRIMARY_EGG_COLOUR = 0xFFFFFF;
	public static final int SECONDARY_EGG_COLOUR = 0x808080;
	
	public MoorishIdolEntity(World world)
	{
		super(world, Species.MoorishIdol, 0.1, new FishScaleItem[]{ModItemRegistry.WhiteFishScale, ModItemRegistry.YellowFishScale, ModItemRegistry.BlackFishScale});
	}
	
    @Override
    public EntityAgeable createChild(EntityAgeable ageable)
    {
        return new MoorishIdolEntity(this.worldObj);
    }

	@Override
	public CapturedFishItem getCapturedFishItem()
	{
		return (CapturedFishItem)ModItemRegistry.CapturedMoorishIdol;
	}
}
